## org.apache.mahout.classifier
Class ClassifierResult

    java.lang.Object
      org.apache.mahout.classifier.ClassifierResult

    public class ClassifierResult

extends Object

Result of a document classification. The label and the associated score (usually probabilty)

Constructor Summary
`ClassifierResult()`
`ClassifierResult(String label)`
`ClassifierResult(String label, double score)`
`ClassifierResult(String label, double score, double logLikelihood)`

Method Summary
`String` `getLabel()`
`double` `getLogLikelihood()`
`double` `getScore()`
`void` `setLabel(String label)`
`void` `setLogLikelihood(double logLikelihood)`
`void` `setScore(double score)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassifierResult

    public ClassifierResult()

### ClassifierResult

    public ClassifierResult(String label,
                            double score)

### ClassifierResult

    public ClassifierResult(String label)

### ClassifierResult

    public ClassifierResult(String label,
                            double score,
                            double logLikelihood)

Method Detail

### getLogLikelihood

    public double getLogLikelihood()

### setLogLikelihood

    public void setLogLikelihood(double logLikelihood)

### getLabel

    public String getLabel()

### getScore

    public double getScore()

### setLabel

    public void setLabel(String label)

### setScore

    public void setScore(double score)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.